Package com.documentum.fc.bpm

# Interface IDfTransitionCondition

All Known Subinterfaces:
  `IDfAttributeValueCondition`, `IDfXPathCondition`, `IDfXPathConditionEx`

public interface IDfTransitionCondition
Describes the properties common to all transition conditions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EQ`
  Equality operator.
  `static final int`
  `GE`
  "Greater than or equal to" operator.
  `static final int`
  `GT`
  "Greater than" operator.
  `static final int`
  `LE`
  "Less than or equal to" operator.
  `static final int`
  `LT`
  "Less than" operator.
  `static final int`
  `NE`
  Inequality operator.
  `static final String`
  `WORKFLOW_ALIAS`
  A well-known alias that refers to the workflow for this transition.
  `static final String`
  `WORKITEM_ALIAS`
  A well-known alias that refers to the workitem for this transition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjectAlias()`
  The alias of the object upon which the transition condition is to be applied.
  `int`
  `getRelationalOperator()`
  Returns an integer specifying which relational operator to use for this transition condition.
  `boolean`
  `isValid()`
  Indicates if a transition condition is complete and has legitimate values.
  `void`
  `setObjectAlias(String name)`
  Set the alias of the object upon which the transition condition is to be applied.
  `void`
  `setRelationalOperator(int operator)`
  Sets an integer specifying which relational operator to use for this transition condition.
  `String`
  `toString()`
  Returns a string representation of the transition condition.

- ## Field Details

  - ### WORKFLOW_ALIAS

    static final String WORKFLOW_ALIAS
    A well-known alias that refers to the workflow for this transition.
    See Also:
      - Constant Field Values

  - ### WORKITEM_ALIAS

    static final String WORKITEM_ALIAS
    A well-known alias that refers to the workitem for this transition.
    See Also:
      - Constant Field Values

  - ### EQ

    static final int EQ
    Equality operator.
    See Also:
      - Constant Field Values

  - ### NE

    static final int NE
    Inequality operator.
    See Also:
      - Constant Field Values

  - ### LT

    static final int LT
    "Less than" operator.
    See Also:
      - Constant Field Values

  - ### GT

    static final int GT
    "Greater than" operator.
    See Also:
      - Constant Field Values

  - ### LE

    static final int LE
    "Less than or equal to" operator.
    See Also:
      - Constant Field Values

  - ### GE

    static final int GE
    "Greater than or equal to" operator.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setObjectAlias

    void setObjectAlias(String name) throws DfException
    Set the alias of the object upon which the transition condition is to be applied. This will be either a package name or one of the well known constant aliases that appear in this interface to refer to the workflow or workitem.
    Parameters:
      `name` - the object alias
    Throws:
      `DfException` - if a server error occurs

  - ### getObjectAlias

    String getObjectAlias() throws DfException
    The alias of the object upon which the transition condition is to be applied.
    Returns:
      the alias of the object upon which the transition condition is to be applied
    Throws:
      `DfException` - if a server error occurs

  - ### setRelationalOperator

    void setRelationalOperator(int operator) throws DfException
    Sets an integer specifying which relational operator to use for this transition condition.
    Parameters:
      `operator` - the relational operator, which must be one of the constants in this interface
    Throws:
      `DfException` - if a server error occurs

  - ### getRelationalOperator

    int getRelationalOperator() throws DfException
    Returns an integer specifying which relational operator to use for this transition condition.
    Returns:
      an integer specifying which relational operator to use for this transition condition
    Throws:
      `DfException` - if a server error occurs

  - ### isValid

    boolean isValid() throws DfException
    Indicates if a transition condition is complete and has legitimate values.
    Returns:
      `true` if the condition is valid, otherwise `false`
    Throws:
      `DfException`

  - ### toString

    String toString()
    Returns a string representation of the transition condition.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the transition condition